Subject: Re: [alsa-devel] [PATCH v4 1/2] ASoC: fsl: Add S/PDIF CPU DAI driver

From: Nicolin Chen <[email-masked]>
Date: Wed, 14 Aug 2013 10:09:12 +0800

Hi Fabio,

   Thank you for the comments.

On Tue, Aug 13, 2013 at 02:58:26PM -0300, Fabio Estevam wrote:
> On Mon, Aug 12, 2013 at 9:01 AM, Nicolin Chen <[email-masked]> wrote:
> > +Required properties:
> > +
> > +  - compatible : Compatible list, contains "fsl,<chip>-spdif". Using general
> 
> Can't we just use "fsl,fsl-spdif" instead?
> 
> > +  "fsl,fsl-spdif" will get the default SoC type -- imx6q-spdif.
> > +
> 
> I think this is not the usual approach we do with dt.
> 
> > +static const struct of_device_id fsl_spdif_dt_ids[] = {
> > +       { .compatible = "fsl,fsl-spdif", },
> 
> Isn't only the first entry enough here?

I just saw Mark's words as well. So I don't need to change this part right?
But I'd like to add imx35 on it.

> This MODULE_ALIAS name does not match the name you provided earlier:
> 
> .name = "fsl-spdif-dai"
>

I'll fix it in v5.

Best regards,
Nicolin Chen